org.appng.api.rest.model

## Class FieldValue

- java.lang.Object
- - org.appng.api.rest.model.FieldValue

- All Implemented Interfaces:
    Serializable

      @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:47.319+01:00")
      public class FieldValue
      extends Object
      implements Serializable

  The value of a field within a datasource.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldValue` | `addValuesItem(FieldValue valuesItem)`
    `boolean` | `equals(Object o)`
    `FieldValue` | `formattedValue(String formattedValue)`
    `String` | `getFormattedValue()` The formatted value of the field.
    `String` | `getName()` The name of the field.
    `Object` | `getValue()` The value of the field.
    `List<FieldValue>` | `getValues()` The child values of this fieldValue.
    `int` | `hashCode()`
    `FieldValue` | `name(String name)`
    `void` | `setFormattedValue(String formattedValue)`
    `void` | `setName(String name)`
    `void` | `setValue(Object value)`
    `void` | `setValues(List<FieldValue> values)`
    `String` | `toString()`
    `FieldValue` | `value(Object value)`
    `FieldValue` | `values(List<FieldValue> values)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldValue

          public FieldValue()

  - ### Method Detail

    - #### name

          public FieldValue name(String name)

    - #### getName

          public String getName()

      The name of the field.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### value

          public FieldValue value(Object value)

    - #### getValue

          public Object getValue()

      The value of the field.
      Returns:
        value

    - #### setValue

          public void setValue(Object value)

    - #### formattedValue

          public FieldValue formattedValue(String formattedValue)

    - #### getFormattedValue

          public String getFormattedValue()

      The formatted value of the field.
      Returns:
        formattedValue

    - #### setFormattedValue

          public void setFormattedValue(String formattedValue)

    - #### values

          public FieldValue values(List<FieldValue> values)

    - #### addValuesItem

          public FieldValue addValuesItem(FieldValue valuesItem)

    - #### getValues

          public List<FieldValue> getValues()

      The child values of this fieldValue.
      Returns:
        values

    - #### setValues

          public void setValues(List<FieldValue> values)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.